#ifndef __INTERSITCH_SENDMONEY_H__
#define __INTERSITCH_SENDMONEY_H__

#include <stdarg.h>
#include "vars.h"
#include "interswitch.h"

extern "C" {
  
	long INTW_configure(CVars in, CVars &out);
	long INTW_getBillersSave(hash_map<const char*, const char*, hash<const char*>, eqstr> saveData);
	long INTW_getBillers(CVars in, CVars &out);
	long INTW_getSaveGeneric(const char *table, hash_map<const char*, const char*, hash<const char*>, eqstr> saveData);
	long INTW_getBillerPaymentItems(CVars in, CVars &out);
	long INTW_getBillerCategories(CVars in, CVars &out );
	long INTW_sendBillPaymentAdvice(CVars in, CVars &out );
	long INTW_doTransfer(CVars in, CVars &out );
	long INTW_queryTransaction(CVars in, CVars &out );
	long INTW_doServiceTransfer(CVars in, CVars &out );
	long do_transferPayment(CVars pm);
	long INTW_querySendMoneyTransaction(CVars in, CVars &out);
        long INTW_doCompleteSavedTransfer(CVars in, CVars &out);

	
}

#endif

